package orm

//AccessControl
const (

	//GetAccessKeysQuery ...
	GetAccessKeysQuery = "SELECT uuid, status, expires_at FROM #*.access_control WHERE access_key = $1 AND secret_key = $2;"
	//UpdateLastUsedKey ...
	UpdateLastUsedKey = "UPDATE #*.access_control SET last_used = now() WHERE uuid = $1;"
	//GetValidUserQuery ...
	GetValidUserQuery = "SELECT uuid, user_secret FROM public.iam_users WHERE user_login = $1;"
	//GetActiveOrgsQuery ...
	GetActiveOrgsQuery = "SELECT org.name FROM public.iam_organisations org INNER JOIN public.iam_users_organisations iuo ON iuo.organisation_uuid=uuid WHERE iuo.user_uuid=$1 and iuo.status = 'active' "
	//GetSchemaDbQuery ...
	GetSchemaDbByNameQuery = "SELECT db_schema FROM public.iam_organisations WHERE name = $1;"
)
